Bug 438783 - kwrite: Missing option to configure number of recent files
Summary: kwrite: Missing option to configure number of recent files
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Applications
Component: kwrite (show other bugs)
Version: 21.04.2
Platform: Archlinux Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-06-17 01:08 UTC by 2wxsy58236r3
Modified: 2022-03-30 20:16 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 22.08.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description 2wxsy58236r3 2021-06-17 01:08:15 UTC
SUMMARY

When using KWrite, there is no option to configure number of recent files, and thus it always remembers recent files.

I would like to be able to set the number to 0 for privacy. 

I can set the number in Kate settings and Kate will stop remembering recent files, however KWrite has no equivalent setting.
Comment 1 Christoph Cullmann 2022-03-30 20:15:21 UTC
Git commit ea043f3c389f6ef32949794573da56fd7462ff7f by Christoph Cullmann.
Committed on 30/03/2022 at 20:09.
Pushed by cullmann into branch 'master'.

add simplified session config

this allows some basic stuff to be configured for KWrite

e.g. should it close on last document, how many recent files
and when to clear meta info

as requested in
Related: bug 448786, bug 425061

overall menu consistency is fixed, too

M  +31   -29   kate/kateconfigdialog.cpp
M  +3    -3    kate/ui/sessionconfigwidget.ui

https://invent.kde.org/utilities/kate/commit/ea043f3c389f6ef32949794573da56fd7462ff7f